Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.javascript
Class JSLiteral

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSLiteral

All Implemented Interfaces:
  ScriptString

    public class JSLiteral

extends ScriptStringBase

Class provides creation of simple literal javascript to be set in ajax response data

Author:
  Andrey Markavtsov

Field Summary
`static JSLiteral` | `EMPTY_HASH`
`static JSLiteral` | `EMPTY_LIST`

Constructor Summary
`JSLiteral()` Default constructor
`JSLiteral(java.lang.String literal)` Constructor using literal parameter

Method Summary
`void` | `appendScript(java.lang.StringBuffer jsString)` Append JavaScript code to @link StringBuffer
`java.lang.String` | `getLiteral()`
`void` | `setLiteral(java.lang.String literal)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_HASH

    public static final JSLiteral EMPTY_HASH

### EMPTY_LIST

    public static final JSLiteral EMPTY_LIST

Constructor Detail

### JSLiteral

    public JSLiteral()

  Default constructor

### JSLiteral

    public JSLiteral(java.lang.String literal)

  Constructor using literal parameter

  Parameters:
    `literal` -

Method Detail

### appendScript

    public void appendScript(java.lang.StringBuffer jsString)

  Description copied from interface: `ScriptString`
  Append JavaScript code to @link StringBuffer

### getLiteral

    public java.lang.String getLiteral()

  Returns:
    the literal

### setLiteral

    public void setLiteral(java.lang.String literal)

  Parameters:
    `literal` - the literal to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.